Skip to main content
Resource Center/Hardware/Cluster Operations
POSTCluster OperationsSince 0.6SynchronousAuth Required

CreateCluster

CreateCluster

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • zoneUuidStringRequired

      The zone UUID.

    • nameStringRequired

      The resource name.

    • descriptionString

      Optional. The detailed description of the resource.

    • hypervisorTypeStringRequired

      The hypervisor type.

    • typeString

      Optional. The reserved field for internal use.

    • resourceUuidString

      Optional. The resource UUID. When not null, ZStack Cloud will use this field as the UUID of the created resource. Otherwise, ZStack Cloud will automatically generate a UUID to the resource.

    • architectureString

      Optional.

    • tagUuidsList

      Optional.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryClusterInventoryRequired

    See inventory.

    • nameStringRequired

      The resource name.

    • uuidStringRequired

      The resource UUID.

    • descriptionStringRequired

      The detailed description of the resource.

    • stateStringRequired

      The cluster state.

    • hypervisorTypeStringRequired

      The hypervisor type.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • zoneUuidStringRequired

      The zone UUID.

    • typeStringRequired

      The reserved field.

Endpoint

POST/zstack/v1/clusters

/zstack/v1/clusters

Operation ID

CreateCluster

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/clusters' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"zoneUuid":"<zoneUuid>","name":"<name>","description":"<description>","hypervisorType":"<hypervisorType>","type":"<type>","resourceUuid":"<resourceUuid>","architecture":"<architecture>","tagUuids":["<tagUuids>"]},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "name": "cluster1", "uuid": "dc7442bb39674d779d688369329ba845", "description": "test", "state": "Enabled", "hypervisorType": "KVM", "createDate": "Jun 7, 2017 9:20:31 PM", "lastOpDate": "Jun 7, 2017 9:20:31 PM", "zoneUuid": "342b68c14869412984d6327a58b18f9b", "type": "zstack" } }

Change History

This API has no change history records yet.

View all change history